[SA20378] Secure Elements Class 5 AVR Multiple Vulnerabilities

2006-06-01T00:00:00
ID SECURITYVULNS:DOC:12927
Type securityvulns
Reporter Securityvulns
Modified 2006-06-01T00:00:00

Description


Want to join the Secunia Security Team?

Secunia offers a position as a security specialist, where your daily work involves reverse engineering of software and exploit code, auditing of source code, and analysis of vulnerability reports.

http://secunia.com/secunia_security_specialist/


TITLE: Secure Elements Class 5 AVR Multiple Vulnerabilities

SECUNIA ADVISORY ID: SA20378

VERIFY ADVISORY: http://secunia.com/advisories/20378/

CRITICAL: Moderately critical

IMPACT: Security Bypass, Spoofing, Exposure of system information, Exposure of sensitive information, DoS, System access

WHERE: >From local network

OPERATING SYSTEM: Secure Elements C5 Enterprise Vulnerability Management (EVM) 2.x http://secunia.com/product/10250/

DESCRIPTION: Multiple vulnerabilities and security issues have been reported in Secure Elements Class 5 AVR, which can be exploited by malicious people to disclose potentially sensitive information, bypass certain security restrictions, spoof the contents of messages, cause a DoS (Denial of Service) and potentially to compromise a vulnerable system.

1) Missing authentication of received registration messages can be exploited to cause a DoS on the server via a large number of forged client registration messages sent to the server.

2) A pathname validation error in the server when downloading updates can be exploited to overwrite arbitrary files on the server with root privileges.

3) A boundary error within the handling of the size of EM_SET_CE_PARAMETER messages can be exploited to view the contents of process memory on a vulnerable client.

4) Missing validation of the source address of messages can potentially be exploited to spoof client messages sent to the server.

5) Encryption of messages exchanged with a client is not enforced by the server. This can potentially disclose sensitive information within the messages.

6) The client uses the same RSA key for all installations. This can potentially be exploited to decrypt communications between the systems.

7) The server does not properly validate the peer certificate when downloading updates. This can potentially be exploited to distribute malicious updates to the clients.

8) An error in enforcing access controls on certain console operations can be exploited to gain unauthorised administrative access to a server.

9) A hard-coded user ID and password exists on the server. This can potentially be exploited to gain unauthorised access to the server.

10) An error in enforcing the integrity of message digests in received messages by both the client and the server can be exploited to replay and modify messages without requiring knowledge of any keys.

11) The client is identified by a CEID property which is predictable. This may allow an attacker to guess the unique identifier of a protected asset.

12) Missing validation of the pathname supplied in received messages can be exploited to overwrite arbitrary files on a vulnerable client with root privileges.

13) Missing validation of the source address of received messages can potentially be exploited to execute arbitrary code with root privileges on a vulnerable client.

14) An error within the authentication of "session start" messages by the server can be exploited to cause the server to initiate TCP connections to arbitrary destinations. This can potentially cause a DoS on both the server and the specified target.

15) The client does not validate the target CEID in a received message. This may facilitate further attacks without the need to guess the true CEID of a victim asset.

The vulnerabilities and security issues have been reported in version prior to 2.8.1.

SOLUTION: The vulnerabilities and security issues have been fixed in C5 EVM version 2.8.1.

Note: Class 5 AVR is now known as C5 EVM (Enterprise Vulnerability Management).

PROVIDED AND/OR DISCOVERED BY: Discovered by NCIRT lab and reported via US-CERT.

ORIGINAL ADVISORY: US-CERT VU#207161: http://www.kb.cert.org/vuls/id/207161

US-CERT VU#764025: http://www.kb.cert.org/vuls/id/764025

US-CERT VU#873409: http://www.kb.cert.org/vuls/id/873409

US-CERT VU#919345: http://www.kb.cert.org/vuls/id/919345

US-CERT VU#135529: http://www.kb.cert.org/vuls/id/135529

US-CERT VU#566553: http://www.kb.cert.org/vuls/id/566553

US-CERT VU#207337: http://www.kb.cert.org/vuls/id/207337

US-CERT VU#397417: http://www.kb.cert.org/vuls/id/397417

US-CERT VU#584329: http://www.kb.cert.org/vuls/id/584329

US-CERT VU#456729: http://www.kb.cert.org/vuls/id/456729

US-CERT VU#353945: http://www.kb.cert.org/vuls/id/353945

US-CERT VU#921017: http://www.kb.cert.org/vuls/id/921017

US-CERT VU#912217: http://www.kb.cert.org/vuls/id/912217

US-CERT VU#288121: http://www.kb.cert.org/vuls/id/288121

US-CERT VU#227929: http://www.kb.cert.org/vuls/id/227929

US-CERT VU#487617: http://www.kb.cert.org/vuls/id/487617

US-CERT VU#353769: http://www.kb.cert.org/vuls/id/353769

US-CERT VU#635721: http://www.kb.cert.org/vuls/id/635721


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.